Bug 842242 - SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the chr_file urandom.
SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the chr_file...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:3295aa3c2e37b5e4b4d57576f9e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 04:33 EDT by ishan
Modified: 2012-08-01 14:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 14:21:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ishan 2012-07-23 04:33:46 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.5-2.fc17.x86_64
time:           Mon 23 Jul 2012 02:03:20 PM IST

description:
:SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the chr_file urandom.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that python2.7 should be allowed read access on the urandom chr_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep jockey-backend /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:jockey_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:urandom_device_t:s0
:Target Objects                urandom [ chr_file ]
:Source                        jockey-backend
:Source Path                   /usr/bin/python2.7
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           python-2.7.3-6.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-140.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.5-2.fc17.x86_64 #1 SMP Mon Jul 16
:                              20:52:08 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Mon 23 Jul 2012 02:00:36 PM IST
:Last Seen                     Mon 23 Jul 2012 02:00:36 PM IST
:Local ID                      4f0a6171-8680-48dd-97bd-6eadebba40a4
:
:Raw Audit Messages
:type=AVC msg=audit(1343032236.86:547): avc:  denied  { read } for  pid=30133 comm="jockey-backend" name="urandom" dev="devtmpfs" ino=1033 scontext=system_u:system_r:jockey_t:s0-s0:c0.c1023 tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file
:
:
:type=AVC msg=audit(1343032236.86:547): avc:  denied  { open } for  pid=30133 comm="jockey-backend" name="urandom" dev="devtmpfs" ino=1033 scontext=system_u:system_r:jockey_t:s0-s0:c0.c1023 tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file
:
:
:type=SYSCALL msg=audit(1343032236.86:547): arch=x86_64 syscall=open success=yes exit=E2BIG a0=38f3d3f13d a1=0 a2=38f3fb39c8 a3=1 items=0 ppid=30132 pid=30133 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=jockey-backend exe=/usr/bin/python2.7 subj=system_u:system_r:jockey_t:s0-s0:c0.c1023 key=(null)
:
:Hash: jockey-backend,jockey_t,urandom_device_t,chr_file,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-23 07:05:43 EDT
Fixed in selinux-policy-3.10.0-141.fc17
Comment 2 Fedora Update System 2012-07-27 11:34:12 EDT
selinux-policy-3.10.0-142.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-142.fc17
Comment 3 Fedora Update System 2012-07-27 21:23:59 EDT
Package selinux-policy-3.10.0-142.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-142.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11215/selinux-policy-3.10.0-142.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-01 14:21:28 EDT
selinux-policy-3.10.0-142.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.